function makeGridplots( obj, template_headmodel, template_grid )
%MAKEGRIDPLOTS Subfunction of @Beamformer. Create plots of the template
% dipole grid and the warped participant dipole grid, save them in the plot
% folder.

%% Template grid
% make a figure with the template head model and dipole grid
figure('units','centimeters','position', [1 1 30 18], 'Visible', 'off',...
    'Color', 'w');

subplot(1,2,1)
hold on
ft_plot_headmodel(template_headmodel, 'facecolor', 'cortex', 'edgecolor',...
    'none');alpha 0.5; camlight;
ft_plot_mesh(template_grid.pos(template_grid.inside,:));
view([-136 13]);

subplot(1,2,2)
hold on
ft_plot_vol(template_headmodel, 'facecolor', 'cortex', 'edgecolor',...
    'none');alpha 0.5; camlight;
ft_plot_mesh(template_grid.pos(template_grid.inside,:));
view([52 -30]);

% save figure
export_fig(obj.subject.saveplots.templatesourcemodel,'-png','-q101','-r400');


%% Subject grid
figure('units', 'centimeters','position', [1 1 30 18], 'Visible', 'off',...
    'Color', 'w');

subplot(1,2,1)
hold on;
ft_plot_headmodel(obj.headmodel, 'facecolor', 'cortex', 'edgecolor',...
    'none'); alpha 0.5; camlight;
ft_plot_mesh(obj.grid.pos(obj.grid.inside,:), 'vertexsize', 5);
ft_plot_sens(obj.data.grad, 'style', '*b');
view([86 30])

subplot(1,2,2)
hold on;
ft_plot_headmodel(obj.headmodel, 'facecolor', 'cortex', 'edgecolor',...
    'none'); alpha 0.5; camlight;
ft_plot_mesh(obj.grid.pos(obj.grid.inside,:), 'vertexsize', 5);
ft_plot_sens(obj.data.grad, 'style', '*b');
view([-200 0])

export_fig(obj.subject.saveplots.sourcemodel,'-png','-q101','-r400');
end

