function [ psycho_result, psychoFit ] = fitPsychoFunction(obj, behavior )
% FITPSYCHOFUNCTION Fits a psychometric function to our behavior result
% table using psignifit.

stim_levels = unique(behavior.oriChange); 
fitData = NaN(length(stim_levels), 3);

% fill data table
for iStim_level = 1:length(stim_levels)
    this_level = stim_levels(iStim_level);
    this_data = behavior(behavior.oriChange == this_level, :);
    fitData(iStim_level, 1) = this_level;
    fitData(iStim_level, 2) = mean(this_data.correct);
    fitData(iStim_level, 3) = size(this_data.correct, 1);
end

options.expType = '2AFC';
options.sigmoidName    = 'logistic';

psycho_result = psignifit(fitData, options);
plotPsych(psycho_result);
%plotsModelfit(psycho_result)
%plotBayes(psycho_result);

end

