function [ dipole_timecourses ] = multiplyTrialsWeights( trialCell, weights )
%MULTIPLY_TRIALS_WEIGHTS Takes all trials of one dataset and the beamformer
%weights of one dipole, multiplies them together to get the timecourse of
%this dipole during the trials.

% Subfunction: applies weights of ONE dipole to the raw timeseries of ONE
% trial
weights_multiply = @(weights, trial) mtimes(weights, trial);

% Call weights_multiply for ALL trials of one dataset

dipole_timecourses = cellfun(@(x) weights_multiply(weights,x), trialCell,...
                             'UniformOutput', false);


end

