function makeSpectrumPlotCones()
% plot cone spectra overlaid on approximate color of visible light
% spectrum.


tcones = readtable(['/mnt/hpx/projects/HMgammaColorSurf/Analysis/Code/External/'...
    'ESI_color/Spectra/ConeFundamentals/'...
    'StockmannSharpe2000ConeFund_10deg_energy_lin_fine.csv']);

cones = table2array(tcones);

cones = table2array(SmithPokorny1975)

freqaxis = cones(:,1);
valid = freqaxis >= 380 & freqaxis <= 710 & mod(freqaxis,0.5)==0;
cones = cones(valid,2:4);
lambda = freqaxis(valid);

[rgb,lambda] = spectrumColors(lambda);
rgb = reshape(rgb, 1, size(rgb,1), 3);
rgb = repmat(rgb, 600,1,1);

figure('Unit', 'centimeters', 'Position', [1 1 4 2])
imshow(brighten(rgb, -0.5), 'XData', [min(lambda), max(lambda)],...
    'YData', [min(cones)*100, max(cones)*100])
brighten(0.1)
axis on
set(gca,'YDir','normal')
hold on
plot(lambda, cones.*100,  'w')
box off
yticks([0 100])
yticklabels({0,1})
ylabel('Normalized cone response')
xlabel('Wavelength (nm)')

export_fig('conespectra.pdf')

end