function micro_check_detection(microData, eyedata, nChecks, speedAlgo)

nTrl = length(eyedata.trial);
if ~exist('nChecks','var')
    nChecks = nTrl;
    trlInd = 1:nChecks;
else
    trlInd = randperm(nTrl,nChecks);
end

for iTrl = trlInd
    
    v = vecvel(eyedata.trial{iTrl}',eyedata.fsample, speedAlgo);
    
    nMS = microData.nSac(iTrl);
    
    figH = figure('Position', [0 0 1200 900], 'Color', 'w');
    h1 = subplot(2,2,1);
    hold on
    plot(h1, eyedata.trial{iTrl}(1,:),eyedata.trial{iTrl}(2,:),'k')
    legend('xySignal','Location','NorthEast')
    title(sprintf('Trial=%i', iTrl))
    xlim([-2 2])
    ylim([-2 2])
    
    h2 = subplot(2,2,2);
    hold on
    plot(h2, eyedata.time{iTrl},eyedata.trial{iTrl}(1,:),'g')
    hold on
    plot(h2, eyedata.time{iTrl},eyedata.trial{iTrl}(2,:),'b')
    title(sprintf('No of MS=%i', nMS))
    ylim([-2 2])
    % h = legend('x','y','xyMS','Location','SouthEast');
    % set(h,'FontSize',7);
    
    h3 = subplot(2,1,2);
    hold on
    title ('Eye Speed')
    plot(h3, eyedata.time{iTrl},v(:,1),'g')
    plot(h3, eyedata.time{iTrl},v(:,2),'b')
    ylim([-70 70])
    legend({'vx','vy'},'Location','east','FontSize',7);
    
    for iMS = 1:nMS
        tStart = microData.micrDetails{iTrl}(iMS,1);
        tEnd = microData.micrDetails{iTrl}(iMS,2);
        
        plot(h1, eyedata.trial{iTrl}(1,tStart:tEnd),eyedata.trial{iTrl}(2,tStart:tEnd),'r')
        legend({'xySignal','xyMS'},'Location','NorthEast')
        
        plot(h2, eyedata.time{iTrl}(tStart:tEnd),eyedata.trial{iTrl}(1,tStart:tEnd),'r')
        plot(h2, eyedata.time{iTrl}(tStart:tEnd),eyedata.trial{iTrl}(2,tStart:tEnd),'r')
        % h = legend('x','y','xyMS','Location','SouthEast');
        % set(h,'FontSize',7);
        
        %title (['Eye Speed- No of MS= ' num2str(number_of_MS)])
        plot(h3, eyedata.time{iTrl}(tStart:tEnd),v(tStart:tEnd,1),'r')
        plot(h3, eyedata.time{iTrl}(tStart:tEnd),v(tStart:tEnd,2),'r')
        text(1000,150*iMS,num2str(microData.micrDetails{iTrl}(iMS,3)))
        %h = legend('vx','vy','vMS','Location','East');
        %set(h,'FontSize',7);
        
    end
    if length(trlInd)  > 10
        waitfor(figH);
    end
end    
end