#!/bin/bash

# Input 1 is subject number
# Input 2 is atlas overly yes/no

. ./prepareFreesurfer.sh #get freesurfer variables
export SUBJECTS_DIR=/mnt/hpx/projects/HMgammaColorSurf/Data/Freesurfed

if [ "$2"=="yes" ]; then
#	atlasL=:annot=$SUBJECTS_DIR/"$1"/label/lh.HCP-MMP1_ind.annot
#	atlasR=:annot=$SUBJECTS_DIR/"$1"/label/rh.HCP-MMP1_ind.annot
#	atlasS=HCP_
	foo=1
else
	atlasL=
	atlasR=
	atlasS=
fi


# Make a few QC screenshots from all sides
vglrun freeview -f \
$SUBJECTS_DIR/"$1"/surf/lh.pial"$atlasL" \
$SUBJECTS_DIR/"$1"/surf/rh.pial"$atlasR" \
-viewport "3d" -layout 1 -viewsize 1000 1000 -hide-3d-slices -nocursor \
-zoom 1.5 -ss $SUBJECTS_DIR/"$1"_leftsurf.png

vglrun freeview -f \
$SUBJECTS_DIR/"$1"/surf/lh.pial"$atlasL" \
$SUBJECTS_DIR/"$1"/surf/rh.pial"$atlasR" \
-viewport "3d" -layout 1 -viewsize 1000 1000 -hide-3d-slices -nocursor \
-cam 'Azimuth' 180 \
-zoom 1.5 -ss $SUBJECTS_DIR/"$1"_rightsurf.png

vglrun freeview -f \
$SUBJECTS_DIR/"$1"/surf/lh.pial"$atlasL" \
$SUBJECTS_DIR/"$1"/surf/rh.pial"$atlasR" \
-viewport "3d" -layout 1 -viewsize 1000 1000 -hide-3d-slices -nocursor \
-cam 'Elevation' 90 -ras 0 0 20 -cc \
-zoom 1.5 -ss $SUBJECTS_DIR/"$1"_topsurf.png

vglrun freeview -f \
$SUBJECTS_DIR/"$1"/surf/lh.pial"$atlasL" \
$SUBJECTS_DIR/"$1"/surf/rh.pial"$atlasR" \
-viewport "3d" -layout 1 -viewsize 1000 1000 -hide-3d-slices -nocursor \
-cam 'Elevation' 270 -ras 0 0 20 -cc \
-zoom 1.5 -ss $SUBJECTS_DIR/"$1"_bottomsurf.png

# Merge images together
cd $SUBJECTS_DIR
/home/stauchb/Projects/Parcellation/magick convert "$1"_leftsurf.png "$1"_rightsurf.png -append "$1"_sidesurf.png
/home/stauchb/Projects/Parcellation/magick convert "$1"_topsurf.png "$1"_bottomsurf.png -append "$1"_TBsurf.png
/home/stauchb/Projects/Parcellation/magick convert "$1"_sidesurf.png "$1"_TBsurf.png +append "$1"_"$atlasS"surfQC.png

rm "$1"_leftsurf.png
rm "$1"_rightsurf.png
rm "$1"_topsurf.png
rm "$1"_bottomsurf.png
rm "$1"_sidesurf.png
rm "$1"_TBsurf.png
