#!/bin/bash

. ./prepareFreesurfer.sh #get freesurfer variables

# Run recon-all
now=$(date +"%T")
echo "Starting recon-all - all: $now"

if [ -e $SUBJECTS_DIR/$1_T2.mgz ]; then
	echo "T2 found for subject $1."
	recon-all -i $SUBJECTS_DIR/$1_T1.mgz -subjid "$1" -T2 $SUBJECTS_DIR/$1_T2.mgz -T2pial -all
else
	echo "T2 not found for subject $1."
	recon-all -i $SUBJECTS_DIR/$1_T1.mgz -subjid "$1" -all
fi

now=$(date +"%T")
echo "Finishing recon-all - all: $now"

# Map to fs_LR space (and to HCP atlas)
echo "Mapping to fs_LR"
./mapToHCP.sh "$1"
