%% Compare edf to MEG recorded eye position

%% Subject 32, block 1, trial 1

% load EDF and MEG data
edfdata = Edf2Mat('\\cs\projects\HMgammaRepSpecif\Data\032\032.edf', true);
load('\\cs\projects\HMgammaRepSpecif\Analysis\Code\QualityChecks\megeyedata');

%% Find temporal delay
% Plot EDF at trigger 40 of this trial +-1sec
eye_sample_trial = 4771261;
iSample = find(edfdata.timeline== eye_sample_trial);

shift = 10; % eyedata in MEG system is about 10ms delayed compared to the EDF file

fs_eye = 1000;
soi = (iSample-fs_eye -shift):(iSample+fs_eye -shift);

edfX = edfdata.Samples.posX(soi);
edfY = edfdata.Samples.posY(soi);
megX = MEGdata.trial{1}(2,:)';
megY = MEGdata.trial{1}(3,:)';

figure
hold on
plot(zscore(edfX), 'r');
plot(zscore(megX), 'b');

corr(zscore(edfX),zscore(megX));

figure
hold on
scatter(zscore(edfX), zscore(edfY),'b');
scatter(zscore(megX)', zscore(megY)', 'r');

figure
hold on
plot(zscore(edfY), 'r');
plot(zscore(megY), 'y');

corr(zscore(edfY),zscore(megY))

%% Find volt -> pixel conversion factor
bothX = table(edfX, megX);
bothY = table(edfY, megY);

mdlX = fitlm(bothX, 'edfX~megX')
weightX = mdlX.Coefficients.Estimate(2);
% For X: Pixel = 959.33 + 264.13*Vx
% For X: Degree from fixation = 264.13*Vx
mdlY = fitlm(bothY, 'edfY~megY')
weightY = mdlY.Coefficients.Estimate(2);
% For Y: Pixel = 539.37 + 152.95*Vx

%% Find Volt -> degree conversion factor
pixelsize = mean([42/1920, 23.9/1080]); % find pixelsize in cm
distance = 55;

X_deg = 2*atand(((megX.*weightX).*pixelsize)./(2*distance));
Y_deg = 2*atand(((megY.*weightY).*pixelsize)./(2*distance));

scatter(X_deg, Y_deg)