addpath /mnt/hpx/opt/fieldtrip_esi;
ft_defaults;

cd('/mnt/cs/projects/HMgammaRepSpecif/Data/Equipment testing/');

%read in eye tracker left x and VEOG channels
cfg.dataset = 'testben_ESI-HMgammaRepSpecif_20180703_01.ds';
cfg.channel = {'UADC009'};
cfg.continuous = 'yes';
cfg.preproc.demean = 'yes';
data = ft_preprocessing(cfg);

cfg = [];
data = ft_databrowser(cfg,data);

% read edf data
edf = edf('testben.edf');
data_el = samples(edf);
plot((1:413138),data_el{1,1}(:,5));
ylim([0 150000000])

%align first 40 trigger to 0
cfg = [];
events = ft_read_event('testben_ESI-HMgammaRepSpecif_20180703_01.ds');

trgval = '40';
stimon = strcmp(trgval, {events.type});
sample = [events.sample];
sample = sample(stimon);
sub = sample(1,1);
samplealigned = sample(1,:) - sample(1,1);

aligned = edf.messages.timestamp(:,1) - edf.messages.timestamp(3,1);
aligned = aligned * 1.2;
aligned = aligned(3:2:end);
aligned = cat(2, aligned, edf.messages.timestamp(3:2:end,:));
aligned = cat(2, aligned, samplealigned', sample');

%cut samples to first 40 trigger
newdata = data.trial{1,1}(aligned(1,4):471249);
newtime = data.time{1,1}(aligned(1,4):471249);
newtime = newtime - newtime(1,1);

eldata = data_el{1,1}(:,5)';
elsample = aligned(1,2)-edf.timeFirstSample(1,1);
eldata = eldata(elsample:end);
eltime = newtime(1:length(eldata));
eltime = eltime*1.2;
eltime = eltime - eltime (1,1);

plotyy(newtime, newdata, eltime, eldata)

%new data

%sampleLocBeg = 39900:41000;%(17292-aligned(1,2)):(17458-aligned(1,2)); %data testben
%sampleLocBeg = 16635:16735;
sampleLocBeg = 24080:24100;
sampleBeg = eldata (sampleLocBeg);
peakSample = 10; %find(sampleBeg==max(sampleBeg));
sampleWindowBeg = 1:(2*peakSample-1);

sampleKernel = sampleBeg(sampleWindowBeg);
sampleKernel = sampleKernel - mean(sampleKernel);
sampleKernel = fliplr(sampleKernel);

figure();
plot(sampleKernel);
hold on
plot(sampleBeg);

%convolve with eyetracker data to create blink kernel
conv_sample = conv(eldata,sampleKernel,'same');
conv_sample = double(conv_sample);

plotyy(eltime, eldata, eltime, conv_sample);

%extract samples of eyetracker data to create mean blink for kernel
[~,fitsTime] = findpeaks(conv_sample,'MinPeakHeight',10*(10^16),...
               'MinPeakDistance',240);
fitsTime = fitsTime(2:end-1);

nSamples = 201;
windows = NaN(size(fitsTime,2),nSamples);

for iFits = 1:size(fitsTime,2)
    startWin = fitsTime(iFits)-((nSamples-1)/2);
    endWin = fitsTime(iFits)+((nSamples-1)/2);
    windows(iFits,:) = startWin:1:endWin;
end

blinksETR = NaN(size(windows,1),nSamples);

for iBlink = 1:size(windows,1)
    blinksETR(iBlink,:) = eldata(windows(iBlink,:));
end

figure();
col = lines(length(blinksETR));
for iBlink = 1:size(windows,1)
    plot(blinksETR(iBlink,:),'-','Color',col(iBlink,:),'LineWidth',0.2);
    hold on
    ylim([-1*(10^7) 11*(10^7)])
    hold on
end

% %find peaks of mean ETR, put it at 0, demean and mirror kernel
% kernelETR = mean(blinksETR,1);
% 
% nSamples = 101;
% peakETRbeg = find(kernelETR==max(kernelETR));
% ETRwindowBeg = (peakETRbeg-((nSamples-1)/2)):(peakETRbeg+((nSamples-1)/2));
% blinkKernelBeg = kernelETR(ETRwindowBeg);
% blinkKernelBeg = (blinkKernelBeg-mean(blinkKernelBeg));
% blinkKernel = fliplr(blinkKernelBeg);
% 
% figure()
% plot(kernelETR)
% hold on
% plot(blinkKernel)
% 
% % run convolution again with mean blink kernel
% 
% conv_sample = conv(eldata,blinkKernel,'same');
% conv_sample = double(conv_sample);
%   
% [~,fitsTime] = findpeaks(conv_sample,'MinPeakHeight',500,...
%                'MinPeakDistance',240);
% fitsTime = fitsTime(2:end-1);
% 
%fitsTimeEL = round(fitsTime * (1000/1200));
fitsTimeETR = round(fitsTime * 1.2);
% 
%create windows on edf data around fitsTime
nSamplesEL = 501;
nSamples   = round (nSamplesEL*1.2);
windowsEL = NaN(size(fitsTime,2)-1,nSamplesEL);
windowsETR= NaN(size(fitsTime,2)-1,nSamples);

for iFits = 1:(size(fitsTimeETR,2)-1)
    startWin = fitsTimeETR(iFits)-((nSamples-1)/2);
    endWin = fitsTimeETR(iFits)+((nSamples-1)/2);
    windowsETR(iFits,:) = startWin:1:endWin;
end

for iFits = 1:(size(fitsTime,2)-1)
    startWin = fitsTime(iFits)-((nSamplesEL-1)/2);
    endWin = fitsTime(iFits)+((nSamplesEL-1)/2);
    windowsEL(iFits,:) = startWin:1:endWin;
end

blinksEL  = NaN(size(windowsEL,1),nSamplesEL);
blinksETR = NaN(size(windowsETR,1),nSamples);

for iBlink = 1:size(windowsEL,1)
    blinksETR(iBlink,:) = newdata(windowsETR(iBlink,:));
    blinksEL(iBlink,:) = eldata(windowsEL(iBlink,:));
end

figure()
col = lines(length(blinksETR));
for iBlink = 1:size(windowsETR,1)
    plot(blinksETR(iBlink,:),'-','Color',col(iBlink,:),'LineWidth',0.2);
    hold on
end

figure()
col = lines(length(blinksEL));
for iBlink = 1:size(windowsEL,1)
    plot(xaxisEL,blinksEL(iBlink,:),'-','Color',col(iBlink,:),'LineWidth',0.2);
    ylim ([0 150000000])
    hold on
end

meanETR = mean(blinksETR(1:103,:));
meanEL = mean(blinksEL(1:103,:));
xaxisETR = (1:601) - 301;
xaxisEL = 1:501;
xaxisEL = (xaxisEL*1.2) - 301;

figure()
plot(xaxisETR, meanETR)
plot(xaxisEL, meanEL)
ylim([0 150000000])
plotyy(xaxisETR,meanETR,xaxisEL,meanEL)
