%photodiode Hz check

addpath /mnt/hpx/opt/fieldtrip_github;
ft_defaults;

cd('/mnt/cs/projects/HMgammaRepSpecif/Data/002/');

%define trials
addpath /mnt/hpx/opt/fieldtrip_github;
ft_defaults;

cd('/mnt/cs/projects/HMgammaRepSpecif/Data/002/');

%read in photodiode
cfg.dataset = '2_ESI-HMgammaRepSpecif_20180606_02.ds';
cfg.channel = {'UADC003'};
cfg.continuous = 'yes';
cfg.preproc.demean = 'yes';
data = ft_preprocessing(cfg);


%photodiode on continuous data
cfg.method       = 'mtmfft';
cfg.output       = 'pow';
cfg.foi          = 2:2:150;
cfg.taper        = 'hanning';
cfg.channel      = {'UADC003'};
cfg.t_ftimwin    = ones(length(cfg.foi),1).*0.5;  
cfg.toi          = -0.5:0.05:1.5;        


powerspec = ft_freqanalysis(cfg,data);

plot(powerspec.freq, powerspec.powspctrm);

%% Check in white patches

cd('/mnt/cs/projects/HMgammaRepSpecif/Data/002/');

cfg                         = [];
cfg.dataset                 = '2_ESI-HMgammaRepSpecif_20180606_02.ds';

cd('/mnt/cs/projects/HMgammaRepSpecif/Analysis/Code/Preprocessing/');

cfg.trialfun                = 'trialfun_full';
cfg.trialdef.eventtype      = 'UPPT001';
cfg.trialdef.min_length  = 1.3; % in seconds

cd('/mnt/cs/projects/HMgammaRepSpecif/Data/002/');


cfg = ft_definetrial(cfg);


cfg.method = 'mtmfft';
cfg.output = 'pow';
cfg.foi = 2:2:150;
cfg.taper = 'hanning';
cfg.channel = {'UADC003'};
cfg.t_ftimwin    = ones(length(cfg.foi),1).*0.5;  
cfg.toi          = 0:0.05:1;        

powerspec = ft_freqanalysis(cfg,data);

figure()
plot(powerspec.freq, powerspec.powspctrm);

