%trigger delay
%change trigger code in line 23

addpath /mnt/hpx/opt/fieldtrip_github;
ft_defaults;

cd('/mnt/gs/projects/HMgammaRepSpecif/Data/001/');

%read in eye tracker left x and VEOG channels
cfg.dataset = '1_ESI-HMgammaRepSpecif_20180601_01.ds';
cfg.channel = {'UADC003','UPPT001'};
cfg.continuous = 'yes';
cfg.preproc.demean = 'yes';
data = ft_preprocessing(cfg);

evt = ft_read_event('1_ESI-HMgammaRepSpecif_20180601_01.ds');

% view data to identify kernel
% cfg.channel = {'UADC009'};
% cfg = ft_databrowser(cfg,data);

%find events corresponding to stimOn('40') or taskOn('120')
samples = find(strcmp('120', {evt.type}))';
samples = {evt(samples).sample}';
samples = cell2mat(samples);

%create window around event
winLength = 150;
windows   = NaN(length(samples),winLength*2+1);

for iSample = 1:length(windows)
    startWin = samples(iSample) - winLength;
    endWin = samples(iSample) + winLength;
    windows(iSample,:) = startWin:1:endWin; 
end

%extract photodiode data
chanDiode  = data.trial{1,1}(2,:);
onsetDiode = NaN(length(samples),size(windows,2));

for iTrial = 1:length(samples)
    onsetDiode(iTrial,:) = chanDiode(windows(iTrial,:));
end

meanDiode = mean(onsetDiode);

%estract trigger channel data
chanTrig  = data.trial{1,1}(1,:);
onsetTrig = NaN(length(samples),size(windows,2));

for iTrial = 1:length(samples)
    onsetTrig(iTrial,:) = chanTrig(windows(iTrial,:));
end

meanTrig = mean(onsetTrig);


%plot

figure()
xDiode = 0-winLength:winLength;
yyaxis left;
plot(xDiode,meanDiode)
hold on
yyaxis right;
ylim([0 45])
plot(xDiode,meanTrig)

figure();
col = lines(length(onsetDiode));
for iTrial = 1:(size(windows,1))
    plot(xDiode,onsetDiode(iTrial,:),'-','Color',col(iTrial,:),'LineWidth',0.2);
    hold on
end
