function out = slurmGetFreq( subj_nr )
%slurmGetFreq Call this function on Slurm to get per-subject, per-stimulus
%average V1 spectra.

out = [];
fprintf('Working on subject %s.\n', subj_nr);
freqIt = Freqs(subj_nr);
freqIt.loadData()
freqIt.computeAreaSources('V1');
[out.TFR, out.spect, out.stimType] = freqIt.getSpectraAndTFR();
out.peaks = freqIt.quantifySpectra();

disp('Done with slurmGetFreq!')
end

