function out = slurmGetSpectra( subj_nr )
%slurmGetSpectra Call this function on Slurm to get per-subject, per-stimulus
%average V1 spectra.

out = [];
fprintf('Working on subject %s.\n', subj_nr);
freqIt = Freqs(subj_nr);
freqIt.loadData()
freqIt.computeAreaSources('V1');
[out.TFR, out.spect, out.stimType] = freqIt.getSpectraAndTFR(true); % get just spectra, no TFRs
out.peaks = freqIt.quantifySpectra();

disp('Done with slurmGetSpectra!')
end

