function out = slurmLocalizeERFs( subj_nr )
%slurmLocalizeERFs Call this function on Slurm to run the ERF localization
%pipeline (sensor*filters at timerange in sec) per subject on slurm.

timerangeInSec = [0.075 0.085]; % time range of the ERF that we want to localize

out = 0;
fprintf('Working on subject %s.\n', subj_nr);
beamy = Beamformer(subj_nr);
beamy.loadData();
beamy.createSourcemodel();
beamy.computeLCMV();
beamy.localizeERF(timerangeInSec);
disp('Done with slurmLocalizeERFs!')
out = 1;
end

