function out = ESI_movmean(data, width)
% movmean for matlab < 2016
%
%  out = ESI_movmean(data, width) gives the moving average of the vector
%  data using a moving average window of width width.


%% Input Validation and Parsing
assert(isvector(data) && isreal(data), 'Data must be a real vector.');
assert(mod(width,2) ~= 0, 'Width must be an uneven number.')
%% Simple Moving Average
kernel = ones(1, width);
kernel = kernel./sum(kernel);
out = conv(data, kernel, 'same');
warning('Remember that the edges of n=width/2 will be invalid.');
end