function [data_out] = apply_filters(data_in, filters, indices)
%APPLY_FILTERS Apply LCMV filters to the data in obj.data_sensors, clean up
% the resulting fieldtrip struct a bit. Indices are used to create the
% channel names.
% Subfunction for @Network.

data_out = data_in;

% Apply filters 
disp('Applying LCMV filters.')
data_out.trial = cellfun(@(x) filters*x, data_in.trial, ...
    'UniformOutput', false);

% Create channel names
data_out.label = arrayfun(@num2str, indices, ...
    'UniformOutput', false);

end

