load_subjects <- function(subjNrs, datapath, foldername, filename){
    
    
    existF <-list.files(datapath, pattern = filename, 
                        full.names = T, recursive = T)
    
    # Find the result files we want, load them
    loadedData <- tibble()
    for(iSubj in toAnalyse){
        iSubj %>% 
            toString() %>% 
            str_pad(width = 3, side = "left", pad = "0") %>%
            str_c(datapath, .Platform$file.sep, ., foldername, 
                  .Platform$file.sep, filename) %>% 
            intersect(existF) -> 
            thisData
        
        if(length(thisData) > 0){
            thisData <- read_csv(thisData, na = "NaN", 
                                 col_types = cols())} 
        else{
            print(str_c("Result file ", iSubj, " not found."))
            next} 
        
        loadedData <- bind_rows(loadedData, thisData)
    }
    return(loadedData)
}

