% to run the main analyses, start here and then
% head to GroupAnalysis() for the specific analyses.
% Everything else is code on the per-subject level.
toAnalyse  = [9:13, 15, 16, 19:31 33 34 35 38:42 45 47];
group = GroupAnalysis(toAnalyse);
group.loadSubjects;
group.powerModel;
group.averageSpectra;




% Below are a few example on running preprocessing on the 
% per-subject level:

%27-34
preproc = Preprocessing(12);
preproc.loadRaw();
%preproc.detectArtefacts();
preproc.savedArtefactDetection();
preproc.removeArtefacts()
preproc.QCplots();

%beamy = Beamformer(cfg, subj_nr);
%beamy.alignHCP();
%preproc.loadPreprocessed;
preproc.QCplots();

done = [3]; %19 without 60Hz filter
for iSubj = 1:length(done)
    subj_nr = done(iSubj);
    fprintf('Working on subject %i.\n', subj_nr);
    try
        [cfg, subject] = setup(subj_nr);
        eyeData = Eyedata(cfg, subj_nr);
        eyeData.pupilSizeAnalysis()
        eyeData.doEverything();
    catch
        warning(['Error at subject ' num2str(subj_nr)])
    end
end

done = toAnalyse; 
done = [23] % + 28 29 30 31 33 35 38 39 40 41 42 45 47
for iSubj = 1:length(done)
    subj_nr = done(iSubj);
    beamy = Beamformer(subj_nr);
    beamy.alignHCP();
    %preproc = Preprocessing(subj_nr);
    %preproc.loadRaw();
    %preproc.detectArtefacts();
end

